Register an organization
curl --request POST \
--url https://console.gmicloud.ai/api/v1/organizations \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"name": "My Organization"
}
'import requests
url = "https://console.gmicloud.ai/api/v1/organizations"
payload = { "name": "My Organization" }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({name: 'My Organization'})
};
fetch('https://console.gmicloud.ai/api/v1/organizations', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": "a0eebc99-9c0b-4ef8-bb6d-6bb9bd380a11"
}organizations
Register an organization
Allow users to register an organization. The user will automatically leave their current organization.
POST
/
organizations
Register an organization
Authorizations
An access token used to authenticate a user and grant access to restricted APIs. It is issued by session APIs. For status codes related to this header, refer to the Common Headers Documentation.
Body
application/json
The organization registration request body.
The organization's name.
Example:
"My Organization"
Response
Successfully registered the organization.
The organization's ID.
Example:
"a0eebc99-9c0b-4ef8-bb6d-6bb9bd380a11"
⌘I